Subject: [IPsec] Issue #144: Placement of INVALID_KE_PAYLOAD text

From: Paul Hoffman <[email-masked]>
Date: Mon, 18 Jan 2010 18:29:19 -0800

There are two places that have very similar text about
 INVALID_KE_PAYLOAD: Section 1.3 (for CREATE_CHILD_SA exchange), and
 Section 2.7 (for IKE_SA_INIT exchange).  Especially the latter seems a
 bit strange, everything else in that section applies to
 CREATE_CHILD_SA exchanges, too, but this paragraph explicitly applies
 to IKE_SA_INIT only (although INVALID_KE_PAYLOAD works roughly the
 same way in CREATE_CHILD_SA, too). Perhaps the text in 2.7 should be
 moved to 1.2?

--Paul Hoffman, Director
--VPN Consortium